QGIS Application - Bug report #12029
wfs-t update to geoserver layer fails
2015-01-21 02:27 PM - Massimo Conter

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:2.6.1 Regression?: No
Operating System: Slackware Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 20232
Description

| load a wfs-t layer hosted on a geoserver server and add or modify a feature.

When | save the layer qgis timeouts, the layer is not updated on the server and | have to restart geoserver in order to be able to load it
again in qgis.

The qgis error is:

Could not commit changes to layer xxx
Errors: ERROR: 1(s) feature not added

Provider errors:
Empty response

| found something similar described here:
[[http://gis.stackexchange.com/questions/115471/qgis-wfs-error-could-not-commit-changes-to-layer]]
[[http://jira.codehaus.org/browse/GEOS-6059]]

Trying to understand what was wrong in the qgis call (update of a feature or new feature added) | used netTool. This program has a
tunnel feature that acts as a MITM between an application and a remote server.
So | changed the wfs address in qgis from:

http://mywebsite:8080/geoserver/wfs to
http://localhost:7000/geoserver/wfs and set netTool to tunnel to
http://mywebsite:8080

| updated a feature value, saved and to my great surprise everything
worked fine.

QGIS version 2.6.1-Brighton QGIS code revision exported

Compiled against Qt 4.8.5 Running against Qt 4.8.5

Compiled against GDAL/OGR 1.11.0 Running against GDAL/OGR 1.11.0
Compiled against GEOS 3.3.8-CAPI-1.7.8 Running against GEOS 3.3.8-CAPI-1.7.8
PostgreSQL Client Version No support. SpatiaLite Version 4.0.0

QWT Version 5.1.1 PROJ.4 Version 480

QScintilla2 Version 2.6.1

Geoserver is version 2.5 snapshot installed from boundless opengeo suite 4.1
http://gis.stackexchange.com/questions/115471/qgis-wfs-error-could-not-commit-changes-to-layer
http://jira.codehaus.org/browse/GEOS-6059

History

#1 - 2015-01-23 03:54 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from Yes to No
- Priority changed from High to Normal

- Status changed from Open to Feedback

Hi, | just tested to edit a Geoserver wfs-t layer with QGIS master (under Ubuntu), and all seems ok. | used Geoserver (and the data) available in the OsGEO
live 8 distribution, would you mind to test that too? cheers.

#2 - 2015-01-24 06:40 AM - Massimo Conter

| tested QGIS loading a WFS layer from the OsGeo live 8 versione of geoserver and everything works as expected.

What | don'r understand is why netTool is able to rectify the wrong behaviour of geoserver (?).

The call from qgis doesn't work but the call from qgis through nettool works. Why?

Could it be that using netTool | have to enter a localhost address for the wfs layer and this address is used to create the call to geoserver whereas when

not using netTool the call uses the geoserver address somewhere in the call and geoserver doesn't like that?

#3 - 2015-01-25 04:51 AM - Giovanni Manghi
- Resolution set to invalid
- Status changed from Feedback to Closed

Massimo Conter wrote:
| tested QGIS loading a WFS layer from the OsGeo live 8 versione of geoserver and everything works as expected.
What | don'r understand is why netTool is able to rectify the wrong behaviour of geoserver (?).
The call from qgis doesn't work but the call from qgis through nettool works. Why?

Could it be that using netTool | have to enter a localhost address for the wfs layer and this address is used to create the call to geoserver whereas
when not using netTool the call uses the geoserver address somewhere in the call and geoserver doesn't like that?

please raise this questions in the users/developers mailing list, then if a (qgis) issue is confirmed reopen this ticket.
